#
# spec file for package apache2-mod_sendfile (Version 0.12)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           apache2-mod_xsendfile
BuildRequires:  apache2-devel
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:        0.12
Release:        1.10
License:        Apache License 2.0
Group:          Productivity/Networking/Web/Servers
Requires:       apache2 %{apache_mmn} 
Autoreqprov:    on
Summary:        Apache module implementing handling of X-SENDFILE headers
Source:         mod_xsendfile-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xsendfile module implements handling of the X-SENDFILE header. When this
header is seen by Apache it replaces the body of the response with the file
specified by the header making use of all the native Apache mechanisms.

Author: Nils Maier

%prep
%setup -n mod_xsendfile-%{version}

%build
%{apxs} -c mod_xsendfile.c

%install
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_xsendfile.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%{apache_libexecdir}/*.so

%changelog -n apache2-mod_xsendfile
